routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('index');
});

Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home');

Route::post('admin/login', 'Admin\AdminController@login');
Route::group(['middleware' => ['auth:admin,admin_tutor']], function(){
    Route::post('admin/logout', 'Admin\AdminController@logout');
    Route::get('materi/get/{type}/{name}/{ext}', 'Admin\MateriController@get');
    Route::get('admin/materi/generate-thumbnail', 'Admin\MateriController@generateThumbs');
    Route::resource('admin/materi', 'Admin\MateriController');
    Route::resource('admin/kategori', 'Admin\KategoriController');
    Route::resource('admin/sekolah', 'Admin\SekolahController');
    Route::resource('admin/guru', 'Admin\GuruController');
    Route::resource('admin/soal', 'Admin\SoalController');
    Route::get('admin/user/resetpass/{id}', 'Admin\UserController@resetpass')->name('user-resetpass');
    Route::post('admin/user/add/single', 'Admin\UserController@single')->name('user-single');
    Route::post('admin/user/add/bulk', 'Admin\UserController@bulk')->name('user-bulk');
    Route::get('admin/user/add/bulk', function (){
        return response()->download(storage_path('app/public/template.xls'));
    })->name('user-bulk-template');
    Route::resource('admin/user', 'Admin\UserController');
    Route::resource('admin/tutor', 'Admin\TutorController');
    Route::resource('admin/payment', 'Admin\PaymentController');
    Route::post('admin/subscription/add/bulk', 'Admin\SubscriptionController@bulk')->name('subscription-bulk');
    Route::resource('admin/subscription', 'Admin\SubscriptionController');
    Route::resource('admin/news', 'Admin\NewsController');
    Route::resource('admin/settings', 'Admin\ServerSettingsController');
    Route::resource('admin/lembaga', 'Admin\LembagaController');
    Route::post('admin/nilai/delcid', 'Admin\ScoreController@deleteScoreCID')->name('delete-score-cid');
    Route::post('admin/nilai/massscoredelete', 'Admin\ScoreController@massScoreDelete')->name('mass-score-delete');
    Route::get('admin/nilai/hapuslaporan', 'Admin\ScoreController@massScoreDeleteView');
    Route::resource('admin/nilai', 'Admin\ScoreController');
    Route::resource('admin', 'Admin\AdminController');
});

app/Kategori.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Kategori extends Model
{
    //
    protected $table = 'kategoris';

    protected $fillable = ['name, type_subs'];

    public function materi(){
        return $this->hasOne('App\Materi', 'kategori', 'id');
    }

    public function soal(){
        return $this->hasOne('App\Soal', 'categoryID', 'id');
    }

    public function score(){
        return $this->hasMany('App\Score', 'cid', 'level');
    }

    public function score_user(){
        return $this->hasMany('App\Score', 'cid', 'level');
    }
}

app/Http/Controllers/Admin/KategoriController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Kategori;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class KategoriController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $kategori = Kategori::all();
        return view('admin.kategori.index')->with([
            'categories' => $kategori
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $kategori = Kategori::all();
        return view('admin.kategori.create')->with([
            'kategories' => $kategori
        ]);

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $kategori = new Kategori();
        $kategori->name = $request->name;
        $kategori->level = $request->level;
        $kategori->type_subs = $request->type_subs;
        $kategori->save();
        return redirect()->back()->with('success', 'Kategori: <b>' . $request->name .'</b> berhasil ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $kategori = Kategori::find($id);
        $kategori->name = $request->name;
        $kategori->level = $request->level;
        $kategori->type_subs = $request->type_subs;
        $kategori->save();
        return redirect()->back()->with('success', 'Kategori: <b>' . $request->name .'</b> berhasil diubah');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/admin/kategori/create.blade.php
@extends('adminlte::page')

@section('title', 'Tambah Kategori')

@section('content_header')
    <h1>Tambah Kategori</h1>
@endsection

@section('content')
    @if (($message = Session::get('success')) || ($message = Session::get('error')))
        <div class="alert alert-{{ Session::get('success') ? 'success' : 'danger'}} alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            {!! $message !!}
        </div>
    @endif
    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">Tambah Kategori</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form role="form" action="{{ route('kategori.store') }}" method="post">
            @csrf
            <div class="box-body">
                <div class="form-group">
                    <label for="kategori">Nama Kategori</label>
                    <input type="text" class="form-control" id="kategori" placeholder="Masukkan nama kategori" name="name" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;">
                </div>
                <div class="form-group">
                    <label for="level">Materi yang harus diselesaikan terlebih dahulu</label>
                    <select name="level" id="level" class="form-control">
                        <option value="">Tidak ditentukan</option>
                        @foreach($kategories as $kategori)
                            <option value="{{ $kategori->id }}">{{ $kategori->name }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
            <!-- /.box-body -->

            <div class="box-footer">
                <button type="submit" class="btn btn-primary">TAMBAH</button>
            </div>
        </form>
    </div>
@endsection

@section('js')
    <script>
        $(function () {
            $("#level").select2();
        });
    </script>
@stop

resources/views/admin/kategori/edit.blade.php
@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')

@endsection

@section('content')

@endsection

resources/views/admin/kategori/index.blade.php
@extends('adminlte::page')

@section('title', 'Kategori')

@section('content_header')
  <h1>Daftar Kategori</h1>
  @if (($message = Session::get('success')) || ($message = Session::get('error')))
    <div class="alert alert-{{ Session::get('success') ? 'success' : 'danger'}} alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      {!! $message !!}
    </div>
  @endif
@endsection

@section('content')
  @php($start = 0)
  <div class="row">
    <div class="col-md-12">
      <div class="box">
        <div class="box-body">
          <div class="row">
            <div class="col-md-12">
              <table id="kategori" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th style="width: 1%">No.</th>
                    <th>Nama Kategori</th>
                    <th>Paket Langganan</th>
                    <th style="width: 10%">Aksi</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($categories as $category)
                    <tr>
                      <td>{{ ++$start }}.</td>
                      <td>{{ $category->name }}</td>
                      <td>
                        @if (isset($category->type_subs))
                          @switch($category->type_subs)
                            @case(1)
                            Trial
                            @break
                            @case(2)
                            Beginner
                            @break
                            @case(3)
                            Intermediate
                            @break
                            @case(4)
                            Advance
                            @break
                          @endswitch
                        @else
                          Belum ditentukan
                        @endif
                      </td>
                      <td><button type="button" class="btn btn-primary btn-sm" data-toggle="modal"
                        data-target="#aksi-{{ $category->id }}">UBAH
                      </button></td>
                    </tr>
                  @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  @foreach($categories as $category)
    <div class="modal fade" id="aksi-{{ $category->id }}" style="display: none;">
      <div class="modal-dialog">
        <div class="modal-content">
          <form action="{{ route('kategori.update', $category->id) }}" method="POST">
            @method('PATCH')
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal"
              aria-label="Close">
              <span aria-hidden="true">×</span></button>
              <h4 class="modal-title">Edit Kategori: {{ $category->name }}</h4>
            </div>
            <div class="modal-body">
              @csrf
              <div class="box-body">
                <div class="form-group">
                  <label for="kategori">Nama Kategori</label>
                  <input type="text" class="form-control" id="kategori" placeholder="Masukkan nama kategori" name="name" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;" value="{{ $category->name }}" required>
                </div>
                <div class="form-group">
                  <label for="level-{{ $category->id }}">Materi yang harus diselesaikan terlebih dahulu</label>
                  <select name="level" id="level-{{ $category->id }}" class="form-control" style="width: 100%">
                    <option value="">Tidak ditentukan</option>
                    @foreach($categories as $kategori)
                      <option value="{{ $kategori->id }}" {{ $kategori->id == $category->level ? 'selected' : '' }}>{{ $kategori->name }}</option>
                    @endforeach
                  </select>
                </div>
                <div class="form-group">
                  <label for="type_subs-{{ $category->id }}">Paket Langganan</label>
                  <select name="type_subs" id="type_subs-{{ $category->id }}" class="form-control" style="width: 100%">
                    <option value="">Tidak ditentukan</option>
                    <option value="1" {{ $category->type_subs == 1 ? 'selected' : ''}}>Trial</option>
                    <option value="2" {{ $category->type_subs == 2 ? 'selected' : ''}}>Beginner</option>
                    <option value="3" {{ $category->type_subs == 3 ? 'selected' : ''}}>Intermediate</option>
                    <option value="4" {{ $category->type_subs == 4 ? 'selected' : ''}}>Advance</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default"
              data-dismiss="modal">Batal
            </button>
            <button type="submit" class="btn btn-primary">Simpan</button>
          </div>
        </form>
      </div>
    </div>
  </div>
@endforeach
@endsection

@section('js')
  <script>
  $(function () {
    $("#kategori").DataTable();
    @foreach($categories as $category)
    $("#level-{{ $category->id }}").select2();
    @endforeach
  });
  </script>
@stop

resources/views/admin/kategori/show.blade.php
@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')

@endsection

@section('content')

@endsection